Section ID:
DOC-API-MODEL-schema-1fd4ce3lnc#overview
Account
Connected account (external user's OAuth connection to an app)
Meaning and usage
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-idSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-idid | string | Optional | Unique account ID. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-nameSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-namename | string | Optional | Display name (e.g., user's email or handle). |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-externaluseridSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-externaluseridexternalUserId | string | Optional | Your application's user ID. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-healthySection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-healthyhealthy | boolean | Optional | Whether the account credentials are valid. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-appSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-appapp | string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-oauthappidSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-oauthappidoauthAppId | string | Optional | OAuth app identifier (if applicable). |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-createdatSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-createdatcreatedAt | string (date-time) | Optional | Time when this record was created. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-updatedatSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-updatedatupdatedAt | string (date-time) | Optional | Time when this record was last updated. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-credentialslastrefreshedatSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-credentialslastrefreshedatcredentialsLastRefreshedAt | string (date-time) | Optional | Time when the connected account credentials were last refreshed. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-credentialsexpiresatSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-credentialsexpiresatcredentialsExpiresAt | string (date-time) | Optional | Expiration time reported for the connected account credentials. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-errorSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-errorerror | string | Optional | Error message if unhealthy. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-lastrefreshedatSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-lastrefreshedatlastRefreshedAt | string (date-time) | Optional | ISO 8601 when credentials were last refreshed. |
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#field-nextrefreshatSection ID: DOC-API-MODEL-schema-1fd4ce3lnc#response-field-nextrefreshatnextRefreshAt | string (date-time) | Optional | ISO 8601 when credentials will next be refreshed. |
app
Pipedream application selected by the request or returned by the provider.
App name_slug
Where used
Section ID: DOC-API-MODEL-schema-1fd4ce3lnc#where-used
| Reference | Relationship |
|---|---|
| List the caller's connected accounts | POST /api/v1/integrations/pipedream/list-accounts |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1fd4ce3lnc